using FitConnect.Models;

namespace FitConnect.Interfaces;

public interface IFluentSenderWithDestination {
    /// <summary>
    ///     Sends the submission with a list of attachments
    /// </summary>
    /// <param name="attachments">that are sent with the submission</param>
    /// <returns>the step where additional data can be added to the submission</returns>
    public IFluentSenderWithAttachments WithAttachments(IEnumerable<Attachment> attachments);

    public string PublicKey { get; set; }
}
